unit uFormPesqCidades;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uFormModelodePesquisa, FMTBcd, SqlExpr, Provider, DB, DBClient,
  Grids, DBGrids, StdCtrls, daEdit, ExtCtrls, Buttons;

type
  TfrmPesqCidades = class(TfrmModelodePesquisa)
    DSPesqCidades: TDataSource;
    CDSPesqCidades: TClientDataSet;
    DSPPesqCidades: TDataSetProvider;
    SDSPesqCidades: TSQLDataSet;
    CDSPesqCidadesID_CIDADE: TIntegerField;
    CDSPesqCidadesCIDADE: TStringField;
    CDSPesqCidadesUF: TStringField;
    CDSPesqCidadesFLAG: TSmallintField;
    procedure FormShow(Sender: TObject);
    procedure edtPesquisaChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPesqCidades: TfrmPesqCidades;

implementation

uses uDM;

{$R *.dfm}

procedure TfrmPesqCidades.edtPesquisaChange(Sender: TObject);
begin
  inherited;
  if Length(edtPesquisa.Text) = 1 then
  begin
    CDSPesqCidades.IndexFieldNames := 'CIDADE';
  end;
    CDSPesqCidades.FindNearest([edtPesquisa.Text]);
end;

procedure TfrmPesqCidades.FormShow(Sender: TObject);
begin
  inherited;
  CDSPesqCidades.Open;
end;

end.
